com.orsoncharts.data

## Interface Dataset3D

- All Known Subinterfaces:
    CategoryDataset3D, PieDataset3D, XYZDataset
  All Known Implementing Classes:
    AbstractDataset3D, StandardCategoryDataset3D, StandardPieDataset3D, XYZSeriesCollection

      public interface Dataset3D

  The base interface for datasets in Orson Charts. All datasets must support the change event notification mechanism. The idea is that when a dataset is changed, an event is passed to the plot. The plot can react to this event, then pass on the change event to the chart. The chart in turn will pass on the event and this can result in the chart being repainted (for example, if the chart is displayed in a `Chart3DPanel`).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(Dataset3DChangeListener listener)` Registers a change listener to receive notification of changes to the dataset.
    `boolean` | `hasListener(java.util.EventListener listener)` Returns `true` if the specified listener is registered with the dataset, and `false` otherwise.
    `void` | `removeChangeListener(Dataset3DChangeListener listener)` De-registers a change listener so that it no longer receives notification of changes to the dataset.

- - ### Method Detail

    - #### addChangeListener

          void addChangeListener(Dataset3DChangeListener listener)

      Registers a change listener to receive notification of changes to the dataset.
      Parameters:
        `listener` - the listener (`null` not permitted).

    - #### removeChangeListener

          void removeChangeListener(Dataset3DChangeListener listener)

      De-registers a change listener so that it no longer receives notification of changes to the dataset.
      Parameters:
        `listener` - the listener (`null` not permitted).

    - #### hasListener

          boolean hasListener(java.util.EventListener listener)

      Returns `true` if the specified listener is registered with the dataset, and `false` otherwise. This method is used for unit testing to confirm that listeners are removed correctly following dataset switches.
      Parameters:
        `listener` - the listener.
      Returns:
        A boolean.